eclipse-wtp_3.6.3-3_all.deb


Advertisement

Description

eclipse-wtp - Eclipse Web Tools Platform

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name eclipse-wtp
Package version 3.6.3
Package release 3
Package architecture all
Package type deb
Installed size 3.42 KB
Download size 2.74 MB
Official Mirror archive.ubuntu.com
The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
tools for developing Web and Java EE applications. It includes source and
graphical editors for a variety of languages, wizards and built-in applications
to simplify development, and tools and APIs to support deploying, running, and
testing apps.
This package contains core plugins required by various WTP components.

Alternatives

Package Version Architecture Repository
eclipse-wtp_3.6.3-3_all.deb 3.6.3 all Ubuntu Universe
eclipse-wtp - - -

Requires

Name Value
eclipse-emf -
eclipse-gef >= 3.7.1-2
eclipse-platform >= 3.8.1-8

Download

Type URL
Binary Package eclipse-wtp_3.6.3-3_all.deb
Source Package eclipse-wtp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install eclipse-wtp deb package:
    # sudo apt-get install eclipse-wtp

Files

Path
/usr/share/doc/eclipse-wtp/TODO.Debian
/usr/share/doc/eclipse-wtp/changelog.Debian.gz
/usr/share/doc/eclipse-wtp/copyright
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common.fproj_3.6.1.dist/eclipse_update_120.jpg
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common.fproj_3.6.1.dist/epl-v10.html
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common.fproj_3.6.1.dist/feature.properties
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common.fproj_3.6.1.dist/feature.xml
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common.fproj_3.6.1.dist/license.html
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common_core.feature_3.6.3.dist/eclipse_update_120.jpg
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common_core.feature_3.6.3.dist/epl-v10.html
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common_core.feature_3.6.3.dist/feature.properties
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common_core.feature_3.6.3.dist/feature.xml
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common_core.feature_3.6.3.dist/license.html
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common_ui.feature_3.6.3.dist/eclipse_update_120.jpg
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common_ui.feature_3.6.3.dist/epl-v10.html
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common_ui.feature_3.6.3.dist/feature.properties
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common_ui.feature_3.6.3.dist/feature.xml
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.common_ui.feature_3.6.3.dist/license.html
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.server_core.feature_3.3.402.dist/eclipse_update_120.jpg
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.server_core.feature_3.3.402.dist/epl-v10.html
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.server_core.feature_3.3.402.dist/feature.properties
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.server_core.feature_3.3.402.dist/feature.xml
/usr/share/eclipse/dropins/wtp/eclipse/features/org.eclipse.wst.server_core.feature_3.3.402.dist/license.html
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.jem.util_2.1.200.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.core_1.2.0.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.emf_1.2.300.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.emfworkbench.integration_1.2.101.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.environment_1.0.400.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.frameworks.ui_1.2.300.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.frameworks_1.2.200.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.infopop_1.0.300.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.modulecore.ui_1.0.201.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.modulecore_1.2.401.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.project.facet.core_1.4.300.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.project.facet.ui_1.4.500.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.snippets_1.2.200.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.ui_1.1.500.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.common.uriresolver_1.2.100.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.internet.cache_1.0.700.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.internet.monitor.core_1.0.600.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.server.core_1.6.2.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.validation.infopop_1.0.300.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.validation.ui_1.2.500.dist.jar
/usr/share/eclipse/dropins/wtp/eclipse/plugins/org.eclipse.wst.validation_1.2.600.dist.jar
/usr/share/lintian/overrides/eclipse-wtp

Changelog

2016-11-07 - Mattia Rizzolo <mattia@debian.org>
eclipse-wtp (3.6.3-3) unstable; urgency=medium
* Team upload.
* Use HTTPS in the Homepage field.
* Rebuild with an updated xml-core to pick up an up to date dependency on it.
See #841425
2016-11-03 - Emmanuel Bourg <ebourg@apache.org>
eclipse-wtp (3.6.3-2) unstable; urgency=medium
* Team upload.
* Fixed the compatibility with the latest version of JFlex
* Fixed the build failure with Java 8
* Transition to Jetty 9
* Depend on libmail-java instead of libgnumail-java
* Standards-Version updated to 3.9.8
* Switch to debhelper level 10
* Use secure Vcs-* URLs
2015-05-04 - Jakub Adam <jakub.adam@ktknet.cz>
eclipse-wtp (3.6.3-1) unstable; urgency=medium
* New upstream release.
* Refresh d/patches/debian-custom-build.patch.
* Remove specific com.ibm.icu version requirement from manifests
- fixes build with eclipse 3.8.1-8.
* Bump Standards-Version to 3.9.6.
* Remove unused Lintian overrides.
* Fix space-in-std-shortname-in-dep5-copyright Lintian warning.
* DITA-OT JAR has to be on CLASSPATH when generating Eclipse help.
* Remove unused codeless-jar Lintian overrides.
2014-07-10 - Jakub Adam <jakub.adam@ktknet.cz>
eclipse-wtp (3.6.0-1) unstable; urgency=medium
* New upstream release.
* Refreshed d/patches/debian-custom-build.patch.
* Regenerate CSSTokenizer during build.
* Override codeless-jar warning in eclipse-wtp binary package.
* Override false positive source-is-missing lintian error in bundle
org.eclipse.wst.jsdt.support.ie.
2014-03-08 - Jakub Adam <jakub.adam@ktknet.cz>
eclipse-wtp (3.5.2-1) unstable; urgency=medium
* New upstream release.
* Refreshed d/patches/regenerate-js-parser-resources.patch.
* Bumped Standards-Version to 3.9.5.
* Removed unused Lintian overrides.
2013-12-10 - Jakub Adam <jakub.adam@ktknet.cz>
eclipse-wtp (3.5.1-2) unstable; urgency=medium
* Fix NullPointerException when creating static web project
- into Ecore model, added default value for 'version' attribute
of ProjectComponents class.
2013-09-28 - Jakub Adam <jakub.adam@ktknet.cz>
eclipse-wtp (3.5.1-1) unstable; urgency=low
* New upstream release.
* Refreshed d/patches:
- debian-custom-build.patch
- regenerate-js-parser-resources.patch.
* Update Javascript parser regeneration in d/rules.
2013-06-28 - Jakub Adam <jakub.adam@ktknet.cz>
eclipse-wtp (3.5.0-1) unstable; urgency=low
* New upstream release.
* Refreshed d/patches:
- debian-custom-build.patch
- regenerate-xpath2-parser.patch.
* Add patch for compatibility with rhino 1.7R4.
* Regenerate code from EMF models.
2013-06-03 - Jakub Adam <jakub.adam@ktknet.cz>
eclipse-wtp (3.4.2-3) unstable; urgency=low
* Don't specify version of orbit dependency org.apache.commons.logging
to fix FTBFS (Closes: #710805).
2013-05-13 - tony mancill <tmancill@debian.org>
eclipse-wtp (3.4.2-2) unstable; urgency=low
* Team upload.
* Upload to unstable.

See Also

Package Description
eclipse-xsd-sdk_2.9.0-1_all.deb XML Schema Definition (XSD) for Eclipse - (Source/Documentation)
eclipse-xsd_2.9.0-1_all.deb XML Schema Definition (XSD) for Eclipse
eclipse_3.8.1-11_all.deb Extensible Tool Platform and Java IDE
ecm_1.03-1build1_amd64.deb prepares CD image files so they compress better
ecopcr_0.5.0+dfsg-1_amd64.deb estimate PCR barcode primers quality
ecosconfig-imx_200910-0ubuntu5_amd64.deb eCos configuration tool for imx SoC's RedBoot
ecryptfs-utils_111-0ubuntu5_amd64.deb ecryptfs cryptographic filesystem (utilities)
ed2k-hash_0.3.3+deb2-3_amd64.deb tool for generating ed2k-links
edac-utils_0.18-1build1_amd64.deb report kernel-detected PCI and ECC RAM errors
edb-debugger-plugins_0.9.21-3_amd64.deb edb plugins
edb-debugger_0.9.21-3_amd64.deb cross platform x86/x86-64 debugger
edb_1.31-3_all.deb database program for GNU Emacs
edbrowse_3.7.2-1_amd64.deb /bin/ed-alike webbrowser written in C
edenmath.app_1.1.1a-7.1build2_amd64.deb Scientific calculator for GNUstep
edfbrowser_1.62+dfsg-1_amd64.deb viewer for biosignal storage files such as bdf and edf
Advertisement
Advertisement